
var muh = 
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@HELLO WORLD@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%&&%%%&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@HELLO WORLD@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@&&@@@&&%%##(/***////**/(&@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@@&&&@@&@@@@&&@&&&&&&&&&&&%%##(/*,,,,.    ..,/@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&%&%&%%%%&&@@@@@@@@@@@@@@@@@@@@@@@@&&@@&@@@@@&&&&######(((((/*,,..         .%@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@&&&&&&%%%%%%%%%%&%&&&@&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@&&%####((((((((//*,..            ,(@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&%%%&&%%%%###%%%&%%&&&&&&&&&@@@@@@@@@@@&%&%%%&%((((((//*/*/**,,.....              .%@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&@&&@@@&&&&&&&&%%%%%#####(((((((###(######%%&&&@@@@&&%%%%%#/****,*,,......                        .%&@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&@&&&&&&%%%#####((((((/////////((/((((((###%%&%%%#(/****,..,...                               ,(#@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&&&&&&%%%%%%####(((///////******,****,****////*///*,.,........              ..,(%%##%#*.         ,*&@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&&%%&%%&%%%######(((///*,,,,,,,,,,.....,,,.,,,,,,......                    ,/%&@@&&%%%&&%#((*,,      .@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&%%&%%%%%%%%%%####(((/////////*,,,,........................                 ..,(%&@@@@@@@&&/,.             #@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&%%%%%%%%%%%%%###((/////*****,,,............................           ..,*/%@@@@@@@@@@&&%(,                 *@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&@@@@@@@&&&%%#((////**,,,,.......... ....  ....................,,,/*,#%&@@@@@@@@@@@&(,.                     %@@@@@@@(/#% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&@@@@@@@@@@@@@@@@@&%%##(//**,,,,........ ........................,,//(#%#%&@@@@@@@@@@%#(,..                      #@@@@@@@ .(/ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@&&&%%#((/***,,.........................,,*((###&%%@@@@@@@@@@&&&@@@@@@@&@&&%(*.            ,@@@@@@/  ,, \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%#(((,,,..,,................,,*/(#%%%&&&&&@@@@@@@@@@@@@@@@@@@@%*.(%@#,.          .%@@@@#.   . \n" +
"@@@@@@@@@@@@@@@@@HELLO WORLD@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&@@@&&&&&%%&&&&&&@@@@@@@@@@@@@@@@@@@@@@&%##(/**,,,,,,,,,,,,,,..,,,,,/((##%%&&&&@@@@@@@@@@@@@@@@@(/%&@@@&(/#%(.          *@@@@/    . \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%###############%&&&&&&@@@@@@@@@@@@@@@&&&%%#((//****,,,,*,,,,,,**/((#%%&&&@@@@@@@@@@@@@@/#@@@&,    .(@&@@&(,           @@@&(,   . \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%%#(((((###%%%%%&&&&@@@@@@@@@@@@@@@@@@@@@@&&&%%%#(((/******,,,****//((#%&&@@@@@@@&*,#@@@@@@@@@@#.     /(.  ...           #@@,   . \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%##(##%%%&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%#(((//*,.,.,..,**(#%&&@@@@@@&(*. .#@@@@@@@@%    ./*.                  (@@,.    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%%####%&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%#((*,..     .*(#%&&&&&@@##(/,,,,/%@@@&&%(%/,                     ,@@@(,     \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%%%%%%&&@@@@@@@@@(//&@@@@@@(%@@@* ./&@@@@@@@@@@@@@@@@&&%#(*.        .*/#%&&%&@@@@@@@@&&&&&%#/**,*,..                      ,@@@*.     \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%&&&@@@@@@@@&(*,,%@@@@@@@@@@&   .*((&@@@@@@@@@@@@@@&%(/*.         ,,(###%&@&&&&&&&%%%(((/*,.....                       ,&,      \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%%%%%&&&@@@@@@@@@@#/,*(&@@@@@@@&,  ./((&@@@@@@@@@@@@@@@&&%#(,..         ,/(####%%&&&&&&%#((//*,,,....                       (#,       \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%%%%%%&&&@@@@@@@@@@@@@@&@@@@@@@@@@@&&&&&&&@@@@@@@@@@@@@&&%#(*..          .,/###(#(((####((//**,,,.                         ,#*   .    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&@@@@@@@@@@@@@@@@@@&%%%%%%#%%%%&&&&&&&&&&@@@@@@&&%%##(#(#%&&&&&&&@@@@@@@@&&&&&%#(*,.          ..,*/((((//,,,....                                 .  .*.    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%#####%%%%%%%%%%%%%%%%%%######%&&&%%##%&@@@@@@@&&&&&%#(/*,..                 ....                                      .  /*.  .. \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&@@@@@@@@@@@@@@@&%%######((#####%%%%%%%########%%%%%%%##(((%&&@@@@&&&&&%%%%(/*,..                                                               ,.  ,*, \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%#######((/////(###%%%%%%%%%%%#(((//((((((%&&&&%%##%%####(/*,,..                                                                   (/, \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&@@@@@@@@@@@@@&%######((/********,/*/***/******,,,,,**/((###((((/(#(((((/*,,..                                                                    ((* \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@@@@%######(//**,*,,,,,,,,,,,,,,*,,,,,,,***////////////((((/**,,..                                                                     *(* \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@@@%#(((#((/*****,,,,,,,,,,,,,,,,,,,,,,**********//(//(///***,...                                                                     ##/ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@@((((((/**,,,,,,,....,,,,,,,,,,...,,,,,,,,**/(((((///***,,...                                                                   .%&%( \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@@#(//(((//**,,,,,,........................,,**/((((//***,,,..                                                                  .%@@&%# \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&@@@@@@@@@%(/((((/**,,,.......  ....................,*/((#(((//**,,,...                                                              #&&&@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%#%&@@@@@@@%#//((//*,,,....         ....         ...,,*/(#%%%#(//*,,,...                                                             .&&&@@@@&%# \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%(#%%&@@@@@@%//////***,,,..                      ....,*/#%&%%%%#(//*,...                                                             .&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@<abbr title=\"Mr ROBOT anyone?\">FSOCIETY</abbr>@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#%%%&&@@@%(//(//*,,... .                       ...,*(#%%%%####(/*,...                                                             ,&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%#%&&@@&(//////*,...                         ..,**(%&%%(//(#(/,..                                                               ,&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&@(///***,....                        ..,*/(&/***/(/*,.                                                                /&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%#(///**,,... .....                  ..,*/%&%/,,,****,,.                                                                (&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@((///**,,.......... ..         ...,,,,/#&%(,,..,,,,...                                                               .%&@@@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&(#((///**,,...............    ...,*****(%&%(*.....,,,..                                                               *&@@@@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@###((///***,,,,,.,...,....,..,,,,****//#%&&%/*********...                      .                                      %@@@@@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%##(((///***,,,,,,,,,,,*,**,*/(//**//(#%&&&%&&&@@&%#/,,..                ,#%#((,                                    @@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%####(((/(//*******/*/(/((###((((/////(#%&&&@@@@@@@@@&/,,..          .*****.                                      /@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%######((((///((((((((#%%%%###((//(/(##%%&&&&@@@@@@@@@%/,,,...     ..                                            &@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%###%##############%%%&&%%%%###(((((##%%&&&&&@@@@@@@@@@%#(/,,..,,,**,.                                         *@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%%%%%%%%%#%%&&&&&@&&&&&&&&&&&%%%%%%%%&&&@@@@@@@@@@@@&&&@@&&%%%&&%%/.             ..                        *@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%%%%%%%%%%%%&&&&&@@@&&&@@@@@@@@@&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@&&&&&%#*...        ..,,,,,..                   &@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%%%%%%%%&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&//*,.    ..,*(###(##(,.               (@@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%%%%%%%&%&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%#(**,...,,/(%&&&@&&%(/,....         (@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%&&&&&&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%&&&&&%#/,,/,.,,*(#%&@@@@@%#(,.....       (@@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%&&&&&&&&&&&@@@@@@@@@@@@@@@&&&&&&&&@@&@@@@&&&%%%%%%%%&%%%&(##((#/*,,,/,....*(#@@@@@@(*,....      (&@@@@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%&&&&&&&&&&&@@@@@@@&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@&&%&&&&&&&&&&&&&%%#(#(/**.,(@@@@@@@&(*,,...     (@@@@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%&&&&&&&&&&&&@@@@@@&&&%%&&&@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@&@@@@&&,  ,/(#%%%%%%%((*,,.. .   %&@@@@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&@@@&%%&&&&&&&&&@@@@@&&&%%%%%%&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%###(*.     ...,**//(#(//*,...      *%&&@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%&@@@@@@@&%%&&&&&&&&&&&@@@@&&&&%%%%%&&&&@@@@&&&%######(/(#(*,*/////*..... .  ..       ...,*****,.....    .  ,#&@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%@@@@@@@@@@&&&&&&&&&&&&&&@@@@@&&&%%%&&&&&&&&&&&&&&%#(/**,,,,,.....    ...,.....         ....,,,,.....       .   /%@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%*&@&@@@@@@@@&@@&&&&&&&&&&&&@@@@&&&&%%&&&&&&&&&&&&&&&&%%##(****,,..   .**/**,,..           .............     .,,.   *&@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@( .%&&&&@@@@@&&@@@@@&&&&&&&&@@@@@@&&&&&&%&&&&&&&&&&&&&&&&&&&&&%%########(((/*,.....       ..............  ,****/**.   ,%&&&&&&&&&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&.  (&&@@@@@@@@&@@@@@@@&&@&@@&&@&@@@@&&&&&&&&&&&&&&&&&&&&&&&&&&&&%%%#####(((//*,....     ...............   ,/(#####*.    ,/(##%%%#( \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*   *&@@@@@@@@@&&@@@@@@@@@@@@@@&&&@@&&&&&&&&&&&&&&@@@@@@@@&&&&&&&&&&%%%%###(((/*,...................,,.    *%&&&&%%%/*           ., \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&(    .%@@@@@@@@@&&&@@@@@@@@@@@@&&@&&&&&&&&&&&&&&&&&&&@@@@@@@@@@@@@@@&@&&&&%%##(*,,,,,,........,....,,,      ,#&&@@@@@@#              \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%,      (@@@@@@@@&&@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&&&&&&&&&&&@@&@@@@&&&&&&%%#((//**,,*,,,,,,,,,,,...,*,       .(%&&@@@@%.              \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%#(*.         *@@@@@@@@&&&@@@@@@@@@@@@@@@@@&&&@@&&@@&&&&&&&&&%%%%%&&&&&&&&&&%%##((/////****,,,,,,,,.....*.         *#%&&@@/                \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%(,.                ,@@@@@@@@@&@@@@@@@@@@@@@@@@@@@@@@&@&@@&@&&&&&&&&&&%%%%%%&%%&%%%#####(((((((////***,*,,,,,*,.           .(%%&.                  \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&(,                     .(@@@@@@@@&@&&@@@@@@@@@@@@@@@@@@@@@&&@@@@@&&&&&&&&&&%%%%%%%%%%%####((((///////*****,*,,,,,*,             *#%,                   \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&/.                         ,%@@@@@@@@&@&&&@@@@@@@@@@@@@@@@@@@@@&@&@&&@@@@@&&&&&&&%%%%%%%%##((((((/////********,,,,,**,              .#(                    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&*.                              %@@@@@@@@@@&@&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%%%%%###((((((/**//********,,,.                ,#.                    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&(*                                   ,@@@@@@@@@@@&&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&%%%%#####(#(((/////*/////,,                  *%/                    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@&(.                                        (@@@@@@@@@@@&&&&@@@@&@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%&%%%%#####///((((//*.                   /%#.                   \n" +
"@@@@@@@@@@@@@@@@@@@@@@&(.                                               *@@@@@@@@&&&&&&&&&@&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%%########(/..                    ,/                      \n" +
"@@@@@@@@@@@@@@@@@@%/.                                                     ,&@@@@@@@&&&&&&@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&%&%%%%%#(/,.                    .**                       \n" +
"@@@@@@@@@@@@@@%*                                                            #@@@@@&&&&&&&&&&&&&&@@@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&%%%#(,.... .. .            .*//.                        \n" +
"@@@@@@@@@&/                                                                  .&@@@@@&&&&&&@&&@@@@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%##(/,,.............       .*((,                           \n" +
"@@@@@,                                                                       %@@@@&&@@&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%##(///*,,.............. . ..,//,                              \n" +
"@&(,                                                                           .#@@&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%%#%#(((/**,,,..................                                   \n" +
"                                                                                 .#%&&&&@@@@@@@@@@@@@@&&&&&&@@@@@@&&&&&&&&&&&%&&&&&%%%%#((/***,,,,....,,,,,,,                                         \n" +
"                                                                                     (&&@@@@@@@&&@&@@@@&&&&&@@@@&&&&&&&&%&%%%%%%%%%%%####(//**,,,,,,,,,***.                                           \n" +
"                                                                                       (@@@@@@@@@@@@&&&@&&@@@&&&&&&&&%%%%%%%%%%#######((((//***,,,**/((*                                             " ;
var stepByStep = muh.split("\n");

function nextLine(x) {
    if(x==90) return ;
    document.getElementById("face").innerHTML += (stepByStep[x] + "\n")  ;
    setTimeout(nextLine(x+1) , 1000  );
}
var x = 20;
function insertLine() {
    if(x==80) return ;
    document.getElementById("face").innerHTML += (stepByStep[x] + "\n")  ;
    x++;
} 

window.onscroll = function() {insertLine();} 